WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] [Theme Epsilon] 2.8 upgrade messed up Categories

[Resolved] [Theme Epsilon] 2.8 upgrade messed up Categories

  • Hey

    My theme does not recognize the categories after upgrade to 2.8 anymore. I’m using the epslon Theme and it has a config file, where you need to choose the category for special posts, but they aint showing up anymore there.

    Does anyone know how wp has changed dealing with categories and what could it be that I need to change?

    E!

Viewing 15 replies - 16 through 30 (of 34 total)
  • danharper
    Member

    @danharper

    Also, I’ve tried this on a fresh install of 2.8, no plugins installed, and using the default theme.

    Ah, I see that now. Placing this echo "<pre>"; print_r($zm_categories_obj); echo "</pre>"; after this $zm_categories_obj = get_categories('hide_empty=0'); in the Epsilon theme’s controlpanel.php returns the ‘error data’ you described.

    I reopened Trac Ticket 9644.

    danharper
    Member

    @danharper

    Thank-you Michael.

    eight7teen
    Member

    @eight7teen

    Yes, muchas gracias Michael

    And thank you for your patience.

    Cool You’ve got the same problem, I’m not alone !!!!!

    I use the theme Scarlett. One of the feature is to choose a category from the admin panel to display a photo gallery.

    Now I can’t choose any more after upgrading to 2.8 from 2.7.1

    $zm_categories_obj = get_categories('hide_empty=0');
    $zm_categories = array();
    foreach ($zm_categories_obj as $zm_cat) {
    	$zm_categories[$zm_cat->cat_ID] = $zm_cat->cat_name;

    This code is from controlpanel.php and it’s load by functions.php like this:
    require_once(TEMPLATEPATH . '/controlpanel.php');

    For the moment I need to replace the variable by the value in controlpanel.php code… I hope a solution.

    If think we are really a lot to encounter this problem.

    eight7teen
    Member

    @eight7teen

    well, looks like I’m gonna need to regress back to 2.7.1 until they release a bug patch for this one…

    @eight7teen
    you don’t need to downgrade to 2.7.1. Until a patch for this, you can populate your array yourself in functions.php or controlpanel.php

    $zm_categories_obj = get_categories('hide_empty=0');
    $zm_categories = array();
    foreach ($zm_categories_obj as $zm_cat) {
    	$zm_categories[$zm_cat->cat_ID] = $zm_cat->cat_name;

    instead I’ve got this now:

    $zm_categories = array();
    $zm_categories[0] = "Photos";
    $zm_categories[1] = "WordPress";

    You have to replace “Photos” and “WordPress” by the name of your categories. After that you can select the category in the theme control panel like before…

    The latest 2.8.1 nightly build has a fix for this if anyone wants to try it out:

    http://wordpress.org/nightly-builds/wordpress-2.8-latest.zip

    You can do an automatic upgrade by going into wp-includes/version.php and changing $wp_version from 2.8 to 2.8.1-beta and then visiting Tools->Upgrade.

    Thank you so much !!!

    Awesome. Quick turnaround.

    Yay works, thank you very much 😉 All of you 😉

    danharper
    Member

    @danharper

    Thanks for the quick response 🙂

    Chris
    Member

    @der-wupperpirat

    If you need the get_categories() stuff for something in the backend like Theme Options you can do the following ’til the new version is out:

    function my_list_cats() {
    global $categories;
    $cats_array = get_categories('hide_empty=0');
    $categories = array();
    
    foreach ($cats_array as $cats) {
    	$categories[$cats->cat_ID] = $cats->cat_name;
    	echo '<p> Cat name: ' . $cats->cat_name .'<p>';
    
    }
    }
    add_action('init', 'my_list_cats');

    Cheers,

    Chris

Viewing 15 replies - 16 through 30 (of 34 total)
  • The topic ‘[Resolved] [Theme Epsilon] 2.8 upgrade messed up Categories’ is closed to new replies.